classification
Title: pdb next vs __next__
Type: behavior Stage: resolved
Components: Versions:
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: iritkatriel, ronaldoussoren, tsingi
Priority: normal Keywords:

Created on 2019-06-15 19:27 by tsingi, last changed 2020-09-16 21:42 by tsingi. This issue is now closed.

Messages (6)
msg345712 - (view) Author: Rick (tsingi) Date: 2019-06-15 19:27
Don't know how to get version from pdb, Makefile says 2.7

Code runs but when debugging I get an error that an iterator has no next() function.  It has got a __next__() function, and it runs, just not under pdb.

If I create a spurious next() function, pdb runs, and calls the __next__() function.
msg375193 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2020-08-11 18:48
Do you mean the python version? 

(Pdb) import sys
(Pdb) sys.version
'3.10.0a0 ....'
msg375400 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2020-08-14 13:06
Please add more information on how to reproduce the problem. The current description is not complete enough to be able to determine if there is a bug and if so where that bug is.
msg376954 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2020-09-15 21:13
I think this ticket can be closed.

Rick can always reopen it or create a new one if there is still an open problem.
msg376982 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2020-09-16 09:28
I agree. Without further information it is impossible to move forward.
msg377029 - (view) Author: Rick (tsingi) Date: 2020-09-16 21:42
I have no idea what program this was in, it's lost in the depths of time.
I can't retain these things for over a year, too old, maybe in my twenties I would have remembered what code this was in but no longer.
Can it.
History
Date User Action Args
2020-09-16 21:42:37tsingisetmessages: + msg377029
2020-09-16 09:28:45ronaldoussorensetstatus: open -> closed
resolution: rejected
messages: + msg376982

stage: resolved
2020-09-15 21:13:42iritkatrielsetmessages: + msg376954
2020-08-14 13:06:56ronaldoussorensetnosy: + ronaldoussoren
messages: + msg375400
2020-08-11 18:48:35iritkatrielsetnosy: + iritkatriel
messages: + msg375193
2019-06-15 19:27:39tsingicreate